Subject: Re: bug#66589: 30.0.50; core dump in redisplay

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Mar 2024 15:21:36 +0200

> From: Florian Weimer <[email-masked]>
> Cc: Evgeny Zajcev <[email-masked]>,  [email-masked]
> Date: Mon, 11 Mar 2024 11:26:00 +0100
> 
> * Eli Zaretskii:
> 
> > Very strange.  This means that both it->char_to_display and it->c are
> > bogus, and I have no idea how this could happen.  So it is very
> > important that you try to provide a reproduction recipe for this.  I
> > will nevertheless try to see if I can figure out how such a situation
> > could ever happen.
> 
> For me, this (negative it->c value and subsequent fortify crash in
> sprintf) happens when displaying an Arabic spam message.  This only
> happens during article display.  Copying the message header and text
> into a different buffer under text-mode Emacs and then opening it in
> graphical Emacs does not trigger the crash for me.

Thanks.  Any hope of a reproducible recipe, starting from "emacs -Q"
(and taking into consideration that I don't use Gnus and know very
little about it)?